HYPER-V(4)

NAME
hv_ata_pci_disengage - Hyper-V ATA PCI Disengage driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in the system kernel configuration file:

device hyperv

DESCRIPTION
The hv_ata_pci_disengage driver prevents the native FreeBSD ATA driver from loading in the presence of Hyper-V. FreeBSD guests running on Hyper-V can take advantage of the Hyper-V Storage Virtual Consumer (hv_storvsc(4)) for using their IDE devices. Since the ATA driver serves IDE devices as well, there is a chance that the ATA driver may interfere with the operations of hv_storvsc(4). The hv_ata_pci_disengage driver avoids conflicts between the ATA driver and hv_storvsc(4) by disabling the ATA driver when the FreeBSD guest is booting.

A side effect of disabling the ATA driver is that CDROM may become inoperational on FreeBSD guest partitions. If CDROM access is a must then users may use "set hw.ata.disk_enable=1" at boot time to prevent the ATA driver from being disabled.

SEE ALSO
hv_netvsc(4), hv_storvsc(4), hv_utils(4), hv_vmbus(4)

HISTORY
Support for hv_ata_pci_disengage first appeared in FreeBSD 10.0. The driver was developed through a joint effort between Citrix Incorporated, Microsoft Corporation, and Network Appliance Incorporated.

AUTHORS
-nosplit FreeBSD support for hv_ata_pci_disengage was first added by Microsoft BSD Integration Services Team <bsdic@microsoft.com>.